<?

$query_news = "SELECT * FROM `news` WHERE `id` = ".abs(intval($_GET['id']))." LIMIT 1";
$result_news = mysqli_query($dbc, $query_news) or die ('Ошибка передачи запроса к БД');
$row_news = mysqli_fetch_array($result_news);
//$newsid = $row_news['id'];
if (isset($_GET['id']) && is_numeric($_GET['id']) && $_GET['id']!=NULL){
echo "<p class='podmenu' style='border-top:1px solid #808000; background-color:#1c252f;'><a href='?news'>Все Новости</a> | ".$row_news['name']."</p>";
echo "<p class='podmenu' style='border-top:1px solid #808000; background-color:#1c252f;'><b>Название: </b>".$row_news['name']."</p>";
echo '<p><b>'.$row_news['opis'].'</b></p>';
if($row['ssylka']!=NULL)echo "<b>Ссылка:</b> <a href='http://$row_news[ssylka]'>Перейти</a><br>";

echo '<p class="podmenu" style="border-top:1px solid #808000; background-color:#1c252f;">Коментарии</p>';


$query_newsq = "Select * from news order by id desc limit 1";
$result_newsq = mysqli_query($dbc, $query_newsq) or die ('Ошибка передачи запроса к БД');
$row_news = mysqli_fetch_array($result_news);
?>
<form  method="post" action="">
<input type="text" name="pole" id="pole"/>
<input type="submit" name="send" style="width:50px;" value="+"></input>
<input type="submit" name="refresh" value="Отправить"></input>
</form>
   <?php

$nwsid=abs(intval($_GET['id']));
  $query_chat = "SELECT * FROM `kom` where news_id = '$nwsid' ORDER BY '$nwsid' DESC";
  $result_chat = mysqli_query($dbc, $query_chat) or die ('Ошибка передачи запроса к БddД');
  $count_chat = mysqli_num_rows($result_chat);
  if (!empty($count_chat)) {
    while ($row_chat = mysqli_fetch_array($result_chat)) {
    $id_chat = $row_chat['user_id'];
	$query_ch = "Select nick from users where id = '$id_chat'";
    $result_ch = mysqli_query($dbc, $query_ch) or die ('Ошибка передачи запроса к БДd'); 
	$row_ch=mysqli_fetch_array($result_ch);
	$say = $row_chat['say'];
	?><p><a href="profile.php?id=<?php echo $row_chat['user_id'];?>"><?php echo $row_ch['nick'];?></a>: <span class="white"><?php echo "$say";?></span></p>
<?php
}
}

if(isset($_POST["refresh"]))
{
	print "<script type=\"text/javascript\">document.location.href =\"/chat.php?offset=0\";</script>";
}
if(isset($_POST["send"])) 
{
$text = filter($_POST['pole']);
	if((preg_match("/sfrpg/i", $text)) OR (preg_match("/keo/i", $text)) OR (preg_match("/www/i", $text)) OR (preg_match("/http/i", $text)))
	{
		echo "<font color=red><b>Не-не-не.. Только не рекламь тут!</b></font>";
		require_once('conf/navig.php');
		require_once('conf/foot.php');
		mysqli_close($dbc);
		exit();
	}
	if(strlen($text) < 3)
	{
		echo "<font color=red><b>Минимальное кол-во символов отправляемых в чат - 3.</b></font>";
		require_once('conf/navig.php');
		require_once('conf/foot.php');
		mysqli_close($dbc);
		exit();
	}
$user_id = abs(intval($_SESSION['id']));
	$query = "SELECT * FROM kom order by id desc";
	$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	$row = mysqli_fetch_array($result);
$newsidd=abs(intval($_GET['id']));
	$username = $row['nick'];
	$date = date('d.m.Y H:i:s');
	$gruppa = $row['gruppa'];
	$admin = $row['admin'];
	$query = "INSERT INTO `kom` (`user_id`, `say`, `time`, `news_id`) VALUES ('$user_id', '$text', '$date', '$newsidd')";
	mysqli_query($dbc, $query);
}
} else {


echo '<p class="podmenu" style="border-top:1px solid #808000; background-color:#1c252f;">Новости </p>';
    $query_news = "Select * from news order by id desc limit 30";
    $result_news = mysqli_query($dbc, $query_news) or die ('Ошибка передачи запроса к БД');
    while ($row_news = mysqli_fetch_array($result_news)){
echo '<p class="podmenu" style="border-top:1px solid #808000; background-color:#1c252f;"><b>Название:</b> <font color="green"><a href="/?news&id=';
echo $row_news['id'];
echo '">'.$row_news['name'].'</font></a></p>';
echo '<b>'.$row_news['opis'].' </b>';

} }


include ('conf/foot.php');
?>